summaryrefslogtreecommitdiffstats
path: root/source/n
diff options
context:
space:
mode:
Diffstat (limited to 'source/n')
-rwxr-xr-xsource/n/mobile-broadband-provider-info/fetch-mobile-broadband-provider-info.sh47
-rwxr-xr-xsource/n/mobile-broadband-provider-info/mobile-broadband-provider-info.SlackBuild15
-rwxr-xr-xsource/n/samba/samba.SlackBuild2
-rw-r--r--source/n/samba/samba.url4
4 files changed, 59 insertions, 9 deletions
diff --git a/source/n/mobile-broadband-provider-info/fetch-mobile-broadband-provider-info.sh b/source/n/mobile-broadband-provider-info/fetch-mobile-broadband-provider-info.sh
new file mode 100755
index 000000000..6296dc167
--- /dev/null
+++ b/source/n/mobile-broadband-provider-info/fetch-mobile-broadband-provider-info.sh
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+# Copyright 2019 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Pull a stable branch + patches
+BRANCH=${1:-master}
+
+# Clear download area:
+rm -rf mobile-broadband-provider-info
+
+# Clone repository:
+git clone https://gitlab.gnome.org/GNOME/mobile-broadband-provider-info.git
+
+# checkout $BRANCH:
+( cd mobile-broadband-provider-info
+ git checkout $BRANCH || exit 1
+)
+
+HEADISAT="$( cd mobile-broadband-provider-info && git log -1 --format=%h )"
+DATE="$( cd mobile-broadband-provider-info && git log -1 --format=%ad --date=format:%Y%m%d )"
+# Cleanup. We're not packing up the whole git repo.
+( cd mobile-broadband-provider-info && find . -type d -name ".git*" -exec rm -rf {} \; 2> /dev/null )
+mv mobile-broadband-provider-info mobile-broadband-provider-info-${DATE}_${HEADISAT}
+tar cf mobile-broadband-provider-info-${DATE}_${HEADISAT}.tar mobile-broadband-provider-info-${DATE}_${HEADISAT}
+xz -9 -f mobile-broadband-provider-info-${DATE}_${HEADISAT}.tar
+rm -rf mobile-broadband-provider-info-${DATE}_${HEADISAT}
+echo
+echo "mobile-broadband-provider-info branch $BRANCH with HEAD at $HEADISAT packaged as mobile-broadband-provider-info-${DATE}_${HEADISAT}.tar.xz"
+echo
diff --git a/source/n/mobile-broadband-provider-info/mobile-broadband-provider-info.SlackBuild b/source/n/mobile-broadband-provider-info/mobile-broadband-provider-info.SlackBuild
index 2ba3a0b56..6d0fa3686 100755
--- a/source/n/mobile-broadband-provider-info/mobile-broadband-provider-info.SlackBuild
+++ b/source/n/mobile-broadband-provider-info/mobile-broadband-provider-info.SlackBuild
@@ -3,6 +3,7 @@
# Slackware build script for mobile-broadband-provider-info
# Copyright 2010, 2011, 2015 Robby Workman, Tuscaloosa, Alabama, USA
+# Copyright 2019 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -28,7 +29,9 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mobile-broadband-provider-info
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
+
+DATE=$(echo $VERSION | cut -f 1 -d _)
# Automatically determine the architecture we're building on:
MARCH=$( uname -m )
@@ -46,7 +49,7 @@ fi
# the name of the created package would be, and then exit. This information
# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
- echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ echo "$PKGNAM-$DATE-$ARCH-$BUILD.txz"
exit 0
fi
@@ -104,7 +107,7 @@ CXXFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
- --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --docdir=/usr/doc/$PKGNAM-$DATE \
--build=$TARGET || exit 1
make || exit 1
@@ -113,14 +116,14 @@ make install DESTDIR=$PKG || exit 1
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+mkdir -p $PKG/usr/doc/$PKGNAM-$DATE
cp -a \
COPYING* ChangeLog NEWS README* \
- $PKG/usr/doc/$PKGNAM-$VERSION
+ $PKG/usr/doc/$PKGNAM-$DATE
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $OUTPUT/$PKGNAM-$DATE-$ARCH-$BUILD.txz
diff --git a/source/n/samba/samba.SlackBuild b/source/n/samba/samba.SlackBuild
index 034f7764e..118c933cc 100755
--- a/source/n/samba/samba.SlackBuild
+++ b/source/n/samba/samba.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=samba
VERSION=${VERSION:-$(echo samba-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
if [ -e $CWD/machine.conf ]; then
. $CWD/machine.conf ]
diff --git a/source/n/samba/samba.url b/source/n/samba/samba.url
index 5d13459c3..df8aa683a 100644
--- a/source/n/samba/samba.url
+++ b/source/n/samba/samba.url
@@ -1,2 +1,2 @@
-https://download.samba.org/pub/samba/stable/samba-4.9.4.tar.gz
-https://download.samba.org/pub/samba/stable/samba-4.9.4.tar.asc
+https://download.samba.org/pub/samba/stable/samba-4.9.5.tar.gz
+https://download.samba.org/pub/samba/stable/samba-4.9.5.tar.asc